compact2, compact3
java.rmi

## Class ServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.ServerException

- All Implemented Interfaces:
    Serializable

      public class ServerException
      extends RemoteException

  A `ServerException` is thrown as a result of a remote method invocation when a `RemoteException` is thrown while processing the invocation on the server, either while unmarshalling the arguments or executing the remote method itself. A `ServerException` instance contains the original `RemoteException` that occurred as its cause.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerException(String s)` | Constructs a `ServerException` with the specified detail message.
    `ServerException(String s, Exception ex)` | Constructs a `ServerException` with the specified detail message and nested exception.

  - ### Method Summary

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerException

          public ServerException(String s)

      Constructs a `ServerException` with the specified detail message.
      Parameters:
        `s` - the detail message
      Since:
        JDK1.1

    - #### ServerException

          public ServerException(String s,
                                 Exception ex)

      Constructs a `ServerException` with the specified detail message and nested exception.
      Parameters:
        `s` - the detail message
        `ex` - the nested exception
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.